package main

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

type drink struct {
	Name             string `json:"name"`
	Type             string `json:"type"`
	AmountContainers int    `json:"amountContainers"`
	AmountBottles    int    `json:"amountBottles"`
}

var drinks = []drink{
	// Biere
	{Name: "Augustiner Lagerbier Hell (0,5 l)", Type: "beer"},
	{Name: "Gösser Radler (0,5 l)", Type: "beer"},
	{Name: "Paulaner Hefe alkoholfrei (0,5 l)", Type: "beer"},
	{Name: "PU (0,5 l)", Type: "beer"},
	{Name: "Sternburg Export (0,5 l)", Type: "beer"},
	{Name: "Störtebeker Atlantik-Ale (0,33 l)", Type: "beer"},

	// Brause & Wasser
	{Name: "Afri Cola (1,0 l)", Type: "fizzyDrink"},
	{Name: "Bitter Lemon Bad Liebenwerder (1,0 l)", Type: "fizzyDrink"},
	{Name: "ChariTea Black (0,33 l)", Type: "fizzyDrink"},
	{Name: "ChariTea Green (0,33 l)", Type: "fizzyDrink"},
	{Name: "Ginger Ale Bad Liebenwerder (1,0 l)", Type: "fizzyDrink"},
	{Name: "Märkisch Kristall Classic PET (0,5 l)", Type: "fizzyDrink"},
	{Name: "Märkisch Kristall Naturelle PET (0,5 l)", Type: "fizzyDrink"},
	{Name: "Proviant Apfelschorle (0,33 l)", Type: "fizzyDrink"},
	{Name: "Proviant Cola (0,33 l)", Type: "fizzyDrink"},
	{Name: "Proviant Orange (0,33 l)", Type: "fizzyDrink"},
	{Name: "Proviant Rhabarber (0,33 l)", Type: "fizzyDrink"},
	{Name: "Proviant Zitrone (0,33 l)", Type: "fizzyDrink"},
	{Name: "Schneiders Spezi (0,5 l)", Type: "fizzyDrink"},
	{Name: "Soli Mate (0,5 l)", Type: "fizzyDrink"},
	{Name: "Tonic Water Bad Liebenwerder (1,0 l)", Type: "fizzyDrink"},

	// Wein & Sekt
	{Name: "Lehmann Hausmarke Frizzante (0,75 l)", Type: "wine"},
	{Name: "OBC Cidre Stark (0,33 l)", Type: "wine"},
	{Name: "OBC Cidre Classic (0,33 l)", Type: "wine"},
	{Name: "Pinot Grigio (0,75 l)", Type: "wine"},
	{Name: "Rotwein Montepulciano (1,5 l)", Type: "wine"},

	// Schnaps & Sirup
	{Name: "'51' Cachaca (1,0 l)", Type: "spirit"},
	{Name: "Absinth Tabu Classic 55% (1,0 l)", Type: "spirit"},
	{Name: "Berliner Luft (0,7 l)", Type: "spirit"},
	{Name: "Gordon's London Dry Gin (1,0 l)", Type: "spirit"},
	{Name: "Havanna (1,0 l)", Type: "spirit"},
	{Name: "Vodka Partisan Black (1,0 l)", Type: "spirit"},
	{Name: "Tequila Jose Cuervo Silver (1,0 l)", Type: "spirit"},
}

func main() {
	router := gin.Default()
	router.GET("/drinks", getDrinks)

	router.Run("localhost:8080")
}

// getDrinks responds with the list of all drinks as JSON.
func getDrinks(c *gin.Context) {
	c.IndentedJSON(http.StatusOK, drinks)
}
